org.apache.sysds.runtime.controlprogram.parfor

## Class RemoteDPParForSparkWorker

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.ParWorker
  - - org.apache.sysds.runtime.controlprogram.parfor.RemoteDPParForSparkWorker

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>>,Long,String>

    public class RemoteDPParForSparkWorker
    extends ParWorker
    implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>>,Long,String>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RemoteDPParForSparkWorker(String program, HashMap<String,byte[]> clsMap, String inputVar, String iterVar, boolean cpCaching, DataCharacteristics mc, boolean tSparseCol, ParForProgramBlock.PartitionFormat dpf, Types.FileFormat fmt, org.apache.spark.util.LongAccumulator atasks, org.apache.spark.util.LongAccumulator aiters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<scala.Tuple2<Long,String>>` `call(Iterator<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>> arg0)`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.ParWorker

`getExecutedIterations, getExecutedTasks, getExecutionContext, getVariables`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteDPParForSparkWorker

    public RemoteDPParForSparkWorker(String program,
                                     HashMap<String,byte[]> clsMap,
                                     String inputVar,
                                     String iterVar,
                                     boolean cpCaching,
                                     DataCharacteristics mc,
                                     boolean tSparseCol,
                                     ParForProgramBlock.PartitionFormat dpf,
                                     Types.FileFormat fmt,
                                     org.apache.spark.util.LongAccumulator atasks,
                                     org.apache.spark.util.LongAccumulator aiters)

### Method Detail

#### call

    public Iterator<scala.Tuple2<Long,String>> call(Iterator<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>> arg0)
                                             throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,Iterable<org.apache.hadoop.io.Writable>>>,Long,String>`
Throws:
  `Exception`